be.fgov.ehealth.etee.crypto.policies

## Class OCSPOptions

- java.lang.Object
- - be.fgov.ehealth.etee.crypto.policies.OCSPOptions

- All Implemented Interfaces:
    java.util.Map<OCSPOption,java.lang.Object>

      public final class OCSPOptions
      extends java.lang.Object

  Convenience class to build (default) OCSP Options.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OCSPOptions()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `boolean` | `containsKey(java.lang.Object key)`
    `boolean` | `containsValue(java.lang.Object value)`
    `static OCSPOptions` | `create()` Creates an empty instance of `OCSPOptions`.
    `static OCSPOptions` | `defaultOptions()` Creates a new instance of `OCSPOptions` and initializes with the default options.
    `java.util.Set<java.util.Map.Entry<K,V>>` | `entrySet()`
    `boolean` | `equals(java.lang.Object obj)`
    `V` | `get(java.lang.Object key)`
    `java.lang.Boolean` | `getBoolean(OCSPOption ocspOption)`
    `java.security.cert.CertStore` | `getCertStore(OCSPOption ocspOption)`
    `java.lang.Integer` | `getInteger(OCSPOption ocspOption)`
    `java.security.KeyStore` | `getKeyStore(OCSPOption ocspOption)`
    `java.lang.Long` | `getLong(OCSPOption ocspOption)`
    `java.lang.String` | `getString(OCSPOption ocspOption)`
    `int` | `hashCode()`
    `boolean` | `isEmpty()`
    `java.util.Set<K>` | `keySet()`
    `V` | `put(K key, V value)`
    `void` | `putAll(java.util.Map<? extends K,? extends V> m)`
    `V` | `remove(java.lang.Object key)`
    `OCSPOptions` | `set(OCSPOption option, java.lang.Object value)` Override a default OCSPOption.
    `OCSPOptions` | `setAll(java.util.Map<OCSPOption,java.lang.Object> options)`
    `int` | `size()`
    `java.lang.String` | `toString()`
    `java.util.Collection<V>` | `values()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

- - ### Constructor Detail

    - #### OCSPOptions

          public OCSPOptions()

  - ### Method Detail

    - #### defaultOptions

          public static OCSPOptions defaultOptions()

      Creates a new instance of `OCSPOptions` and initializes with the default options.
      Returns:
        A new instance of OCSPOptions.

    - #### create

          public static OCSPOptions create()

      Creates an empty instance of `OCSPOptions`.
      Returns:
        An empty instance of OCSPOptions.

    - #### set

          public OCSPOptions set(OCSPOption option,
                                 java.lang.Object value)

      Override a default OCSPOption.
      Parameters:
        `option` - The OCSPOption that needs to be overridden.
        `value` - The new value of the given OCSPOption.
      Returns:
        This instance of OCSPOptions. This enables chaining.

    - #### setAll

          public OCSPOptions setAll(java.util.Map<OCSPOption,java.lang.Object> options)

    - #### getString

          public java.lang.String getString(OCSPOption ocspOption)

    - #### getBoolean

          public java.lang.Boolean getBoolean(OCSPOption ocspOption)

    - #### getKeyStore

          public java.security.KeyStore getKeyStore(OCSPOption ocspOption)

    - #### getCertStore

          public java.security.cert.CertStore getCertStore(OCSPOption ocspOption)

    - #### getLong

          public java.lang.Long getLong(OCSPOption ocspOption)

    - #### getInteger

          public java.lang.Integer getInteger(OCSPOption ocspOption)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Specified by:
        `equals` in interface `java.util.Map<OCSPOption,java.lang.Object>`
      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `java.util.Map<OCSPOption,java.lang.Object>`
      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### size

          public int size()

      Specified by:
        `size` in interface `java.util.Map<K,V>`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `java.util.Map<K,V>`

    - #### containsKey

          public boolean containsKey(java.lang.Object key)

      Specified by:
        `containsKey` in interface `java.util.Map<K,V>`

    - #### containsValue

          public boolean containsValue(java.lang.Object value)

      Specified by:
        `containsValue` in interface `java.util.Map<K,V>`

    - #### get

          public V get(java.lang.Object key)

      Specified by:
        `get` in interface `java.util.Map<K,V>`

    - #### put

          public V put(K key,
                       V value)

      Specified by:
        `put` in interface `java.util.Map<K,V>`

    - #### remove

          public V remove(java.lang.Object key)

      Specified by:
        `remove` in interface `java.util.Map<K,V>`

    - #### putAll

          public void putAll(java.util.Map<? extends K,? extends V> m)

      Specified by:
        `putAll` in interface `java.util.Map<K,V>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `java.util.Map<K,V>`

    - #### keySet

          public java.util.Set<K> keySet()

      Specified by:
        `keySet` in interface `java.util.Map<K,V>`

    - #### values

          public java.util.Collection<V> values()

      Specified by:
        `values` in interface `java.util.Map<K,V>`

    - #### entrySet

          public java.util.Set<java.util.Map.Entry<K,V>> entrySet()

      Specified by:
        `entrySet` in interface `java.util.Map<K,V>`

Copyright © 2025 eHealth. All rights reserved.